name: Material Admin
type: theme
description: 'Material Design Admin Theme'
core_version_requirement: ^8 || ^9
base theme: classy

# Image appears on admin/appearance
screenshot: images/screenshot.png

libraries:
  - material_admin/global-styling


# remove css sheets from the base themes rather than than override because
# the SCSS is aleady including those files into a single file. 
# See: scss/base/overrides directory
stylesheets-remove:
  - '@classy/css/components/action-links.css'
  - '@classy/css/components/tabs.css'
  - '@classy/css/components/button.css'
  - '@classy/css/components/inline-form.css'
  - '@classy/css/components/form.css'
  - '@classy/css/components/dialog.css' #scss/base/overrides/_dialog.scss
  - '@classy/css/components/file.css' #scss/base/overrides/_file.scss
  - '@classy/css/components/item-list.css'
  - '@classy/css/components/messages.css'
  - '@classy/css/components/tablesort.css'
  - '@classy/css/components/tabledrag.css'
  - '@classy/css/components/tableselect.css'
  - '@classy/css/components/textarea.css'
  - '@stable/css/system/components/container-inline.module.css'
  - '@stable/css/system/system.admin.css'
  - '@stable/css/dblog/dblog.module.css'
  - '@stable/css/filter/filter.admin.css'
  - '@stable/css/node/node.module.css'
  - '@stable/css/system/components/autocomplete-loading.module.css' #scss/base/overrides/_autocomplete-loading.module.scss
  - '@stable/css/system/components/ajax-progress.module.css' # scss/base/overrides/_ajax-progress.module.scss
  - '@stable/css/core/vertical-tabs.css' #scss/base/overrides/_vertical-tabs.scss
  - '@stable/css/color/color.admin.css'
  - '@stable/css/system/components/system-status-report-counters.css'
  - '@stable/css/system/components/system-status-report-general-info.css'
  - 'core/assets/vendor/jquery.ui/themes/base/tabs.css' # scss/base/overrides/_tabs.scss
  - 'core/assets/vendor/jquery.ui/themes/base/theme.css' # scss/base/overrides/_jqueryui_base.scss

libraries-override:
  core/drupal.dropbutton: material_admin/dropbutton
  user/drupal.user.permissions: material_admin/permissions
  core/drupal.tableselect: material_admin/tableselect

regions:
  header: 'Header'
  status: 'Status area'
  pre_content: 'Pre-content'
  breadcrumb: Breadcrumb
  highlighted: Highlighted
  content: Content
  page_top: 'Page top'
  page_bottom: 'Page bottom'
  sidebar_first: 'First sidebar'
regions_hidden:
  - sidebar_first

# Information added by Drupal.org packaging script on 2021-10-30
version: '2.0.4'
project: 'material_admin'
datestamp: 1635611532
